Index: /trunk/gsdl/perllib/plugins/BasPlug.pm
===================================================================
--- /trunk/gsdl/perllib/plugins/BasPlug.pm	(revision 7507)
+++ /trunk/gsdl/perllib/plugins/BasPlug.pm	(revision 7508)
@@ -436,5 +436,5 @@
     $doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "Language", $language);
     $doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "Encoding", $encoding);
-    $doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "$self->{'plugin_type'}", "1");
+    $doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "Plugin", "$self->{'plugin_type'}");
     my ($filemeta) = $file =~ /([^\\\/]+)$/;
     # how do we know what encoding the filename is in?
Index: /trunk/gsdl/perllib/plugins/ConvertToPlug.pm
===================================================================
--- /trunk/gsdl/perllib/plugins/ConvertToPlug.pm	(revision 7507)
+++ /trunk/gsdl/perllib/plugins/ConvertToPlug.pm	(revision 7508)
@@ -309,5 +309,5 @@
 	$self->associate_cover_image($doc_obj, $filename);
     }
-    $doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "$self->{'plugin_type'}", "1");
+    $doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "Plugin", "$self->{'plugin_type'}");
     # include any metadata passed in from previous plugins 
     # note that this metadata is associated with the top level section
Index: /trunk/gsdl/perllib/plugins/ConvertToRogPlug.pm
===================================================================
--- /trunk/gsdl/perllib/plugins/ConvertToRogPlug.pm	(revision 7507)
+++ /trunk/gsdl/perllib/plugins/ConvertToRogPlug.pm	(revision 7508)
@@ -377,5 +377,5 @@
 	$self->associate_cover_image($doc_obj, $filename);
     }
-    $doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "$self->{'plugin_type'}", "1");
+    $doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "Plugin", "$self->{'plugin_type'}");
 
 
Index: /trunk/gsdl/perllib/plugins/DBPlug.pm
===================================================================
--- /trunk/gsdl/perllib/plugins/DBPlug.pm	(revision 7507)
+++ /trunk/gsdl/perllib/plugins/DBPlug.pm	(revision 7508)
@@ -204,5 +204,5 @@
 	    $self->associate_cover_image($doc_obj, $filename);
 	}
-	$doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "$self->{'plugin_type'}", "1");
+	$doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "Plugin", "$self->{'plugin_type'}");
 
 
Index: /trunk/gsdl/perllib/plugins/FOXPlug.pm
===================================================================
--- /trunk/gsdl/perllib/plugins/FOXPlug.pm	(revision 7507)
+++ /trunk/gsdl/perllib/plugins/FOXPlug.pm	(revision 7508)
@@ -243,5 +243,5 @@
     my $doc_obj = new doc ($file, "indexed_doc");
     $doc_obj->set_OIDtype ($processor->{'OIDtype'});
-    $doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "$self->{'plugin_type'}", "1");
+    $doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "Plugin", "$self->{'plugin_type'}");
 
     my $section = $doc_obj->get_top_section();
Index: /trunk/gsdl/perllib/plugins/HBPlug.pm
===================================================================
--- /trunk/gsdl/perllib/plugins/HBPlug.pm	(revision 7507)
+++ /trunk/gsdl/perllib/plugins/HBPlug.pm	(revision 7508)
@@ -264,5 +264,5 @@
     my $bookcover = &util::filename_cat($base_dir, $file, "$jobnumber.jpg");
     $doc_obj->associate_file($bookcover, "cover.jpg", "image/jpeg");
-    $doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "$self->{'plugin_type'}", "1");
+    $doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "Plugin", "$self->{'plugin_type'}");
 
     my $cursection = $doc_obj->get_top_section();
Index: /trunk/gsdl/perllib/plugins/ImagePlug.pm
===================================================================
--- /trunk/gsdl/perllib/plugins/ImagePlug.pm	(revision 7507)
+++ /trunk/gsdl/perllib/plugins/ImagePlug.pm	(revision 7508)
@@ -363,5 +363,5 @@
     my $doc_obj = new doc ($filename, "indexed_doc");
     $doc_obj->set_OIDtype ($processor->{'OIDtype'});    
-    $doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "$self->{'plugin_type'}", "1");
+    $doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "Plugin", "$self->{'plugin_type'}");
 
     #run convert to get the thumbnail and extract size and type info
Index: /trunk/gsdl/perllib/plugins/MP3Plug.pm
===================================================================
--- /trunk/gsdl/perllib/plugins/MP3Plug.pm	(revision 7507)
+++ /trunk/gsdl/perllib/plugins/MP3Plug.pm	(revision 7508)
@@ -333,5 +333,5 @@
 ##    $doc_obj->set_OIDtype ($processor->{'OIDtype'});    
     $doc_obj->set_OIDtype ("incremental");    # this is done to avoid hashing content of file
-    $doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "$self->{'plugin_type'}", "1");
+    $doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "Plugin", "$self->{'plugin_type'}");
 
     # associate the file with the document
Index: /trunk/gsdl/perllib/plugins/OAIPlug.pm
===================================================================
--- /trunk/gsdl/perllib/plugins/OAIPlug.pm	(revision 7507)
+++ /trunk/gsdl/perllib/plugins/OAIPlug.pm	(revision 7508)
@@ -140,5 +140,5 @@
 	$doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "Language", $language);
 	$doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "Encoding", $encoding);
-	$doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "$self->{'plugin_type'}", "1");
+	$doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "Plugin", "$self->{'plugin_type'}");
 
 	# include any metadata passed in from previous plugins 
Index: /trunk/gsdl/perllib/plugins/RogPlug.pm
===================================================================
--- /trunk/gsdl/perllib/plugins/RogPlug.pm	(revision 7507)
+++ /trunk/gsdl/perllib/plugins/RogPlug.pm	(revision 7508)
@@ -177,5 +177,5 @@
     my $doc_obj = new doc ($file, "indexed_doc");
     my $cursection = $doc_obj->get_top_section();
-    $doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "$self->{'plugin_type'}", "1");
+    $doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "Plugin", "$self->{'plugin_type'}");
 
     my $title = $song->{'title'};
Index: /trunk/gsdl/perllib/plugins/SplitPlug.pm
===================================================================
--- /trunk/gsdl/perllib/plugins/SplitPlug.pm	(revision 7507)
+++ /trunk/gsdl/perllib/plugins/SplitPlug.pm	(revision 7508)
@@ -182,5 +182,5 @@
 	  $self->associate_cover_image($doc_obj, $filename);
 	}
-	$doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "$self->{'plugin_type'}", "1");
+	$doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "Plugin", "$self->{'plugin_type'}");
 	# Calculate a "base" document ID.
 	if (!defined $id) {
Index: /trunk/gsdl/perllib/plugins/UnknownPlug.pm
===================================================================
--- /trunk/gsdl/perllib/plugins/UnknownPlug.pm	(revision 7507)
+++ /trunk/gsdl/perllib/plugins/UnknownPlug.pm	(revision 7508)
@@ -188,5 +188,5 @@
     my $doc_obj = new doc ($filename, "indexed_doc");
     $doc_obj->set_OIDtype ($processor->{'OIDtype'});    
-    $doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "$self->{'plugin_type'}", "1");
+    $doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "Plugin", "$self->{'plugin_type'}");
     $doc_obj->add_metadata($doc_obj->get_top_section(), "Source", &ghtml::dmsafe($file)); # set the filename as Source metadata to be consistent with other plugins
 
Index: /trunk/gsdl/perllib/plugins/XMLPlug.pm
===================================================================
--- /trunk/gsdl/perllib/plugins/XMLPlug.pm	(revision 7507)
+++ /trunk/gsdl/perllib/plugins/XMLPlug.pm	(revision 7508)
@@ -240,5 +240,5 @@
     $self->{'doc_obj'}->set_OID();
     
-    $doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "$self->{'plugin_type'}", "1");
+    $doc_obj->add_utf8_metadata($doc_obj->get_top_section(), "Plugin", "$self->{'plugin_type'}");
 
     # process the document