Index: /trunk/gsdl/bin/script/create_distributions.pl
===================================================================
--- /trunk/gsdl/bin/script/create_distributions.pl	(revision 7620)
+++ /trunk/gsdl/bin/script/create_distributions.pl	(revision 7621)
@@ -130,10 +130,10 @@
 	    chdir ($ENV{'GSDLHOME'});
 	    print STDERR "\ntagging gsdl with $cvs_tag\n";
-	    `cvs tag -F $cvs_tag`;
+	    # `cvs tag -F $cvs_tag`;
 
 	    # Tag gli repository
 	    chdir (&util::filename_cat($ENV{'GSDLHOME'}, "gli"));
 	    print STDERR "\ntagging gli with $cvs_tag\n";
-	    `cvs tag -F $cvs_tag`;
+	    # `cvs tag -F $cvs_tag`;
 	}
 
@@ -173,7 +173,7 @@
 	&edit_files();
 
-	# &create_windows_distribution();
-	# &create_unix_distribution();
-	# &create_source_distribution();
+	&create_windows_distribution();
+	&create_unix_distribution();
+	&create_source_distribution();
 	&create_cdrom_distribution() unless $no_cdrom;
     }
@@ -254,4 +254,7 @@
     &install_unix_specific ($unix_dist_dir);
 
+    # Make sure all configure scripts are executable
+    `cd $unix_dist_dir; pwd; find -name "configure" -exec chmod a+x {} \\;`;
+
     # we want to include the unbuilt bits of the demo collection too
     my $demodir = &util::filename_cat($unix_dist_dir, "gsdl", "collect", "demo");
@@ -292,6 +295,11 @@
     &install_only_core_language_macros(&util::filename_cat($tmpdir, "gsdl", "macros"), $gsdlmacrosdir);
 
-    # We don't want the compiled GLI classes in the source distribution
+    # We don't want the compiled GLI classes in the source distribution (or the GS3 script)
     &util::rm(&util::filename_cat($source_dist_dir, "gsdl", "gli", "GLI.jar"));
+    &util::rm(&util::filename_cat($source_dist_dir, "gsdl", "gli", "gli4gs3.sh"));
+
+    # Make sure there is a dictionary_en.properties to prevent GLI problems
+    &util::cp(&util::filename_cat($source_dist_dir, "gsdl", "gli", "classes", "dictionary.properties"),
+	      &util::filename_cat($source_dist_dir, "gsdl", "gli", "classes", "dictionary_en.properties"));
 
     # (We don't include the built demo collection in the source distribution)
@@ -508,36 +516,45 @@
     &util::cp_r($source_dir, $target_dir);
 
+    my $gli_dir = &util::filename_cat($target_dir, "gli");
+
     # Make Unix scripts executable
-    my $clean_sh = &util::filename_cat($target_dir, "gli", "clean.sh");
+    my $clean_sh = &util::filename_cat($gli_dir, "clean.sh");
     `chmod a+x $clean_sh`;
-    my $document_sh = &util::filename_cat($target_dir, "gli", "document.sh");
+    my $document_sh = &util::filename_cat($gli_dir, "document.sh");
     `chmod a+x $document_sh`;
-    my $gli_sh = &util::filename_cat($target_dir, "gli", "gli.sh");
+    my $gli_sh = &util::filename_cat($gli_dir, "gli.sh");
     `chmod a+x $gli_sh`;
-    my $makegli_sh = &util::filename_cat($target_dir, "gli", "makegli.sh");
+    my $makegli_sh = &util::filename_cat($gli_dir, "makegli.sh");
     `chmod a+x $makegli_sh`;
 
+    # Make sure there is a dictionary_en.properties to prevent GLI problems
+    &util::cp(&util::filename_cat($gli_dir, "classes", "dictionary.properties"),
+	      &util::filename_cat($gli_dir, "classes", "dictionary_en.properties"));
+
     # Remove unwanted stuff - all distributions
-    &util::rm_r(&util::filename_cat($target_dir, "gli", "buglist"));
-    &util::rm_r(&util::filename_cat($target_dir, "gli", "prototype"));
+    &util::rm_r(&util::filename_cat($gli_dir, "buglist"));
+    &util::rm_r(&util::filename_cat($gli_dir, "prototype"));
+
+    # Don't need Greenstone 3 script
+    &util::rm(&util::filename_cat($gli_dir, "gli4gs3.sh"));
 
     # Remove unwanted stuff - Unix distributions
     if ($type eq "unix") {
 	# Don't need Windows scripts
-	&util::rm(&util::filename_cat($target_dir, "gli", "clean.bat"));
-	&util::rm(&util::filename_cat($target_dir, "gli", "document.bat"));
-	&util::rm(&util::filename_cat($target_dir, "gli", "gli.bat"));
-	&util::rm(&util::filename_cat($target_dir, "gli", "makegli.bat"));
+	&util::rm(&util::filename_cat($gli_dir, "clean.bat"));
+	&util::rm(&util::filename_cat($gli_dir, "document.bat"));
+	&util::rm(&util::filename_cat($gli_dir, "gli.bat"));
+	&util::rm(&util::filename_cat($gli_dir, "makegli.bat"));
 
 	# Don't need Windows utilities
-	&util::rm_r(&util::filename_cat($target_dir, "gli", "winutil"));
+	&util::rm_r(&util::filename_cat($gli_dir, "winutil"));
 
 	# Don't need Windows README file
-	&util::rm(&util::filename_cat($target_dir, "gli", "READMEru.txt-cp1251"));
+	&util::rm(&util::filename_cat($gli_dir, "READMEru.txt-cp1251"));
 
 	# Rename Unix README file
-	&util::cp(&util::filename_cat($target_dir, "gli", "READMEru.txt-koi8-r"),
-		  &util::filename_cat($target_dir, "gli", "READMEru.txt"));
-	&util::rm(&util::filename_cat($target_dir, "gli", "READMEru.txt-koi8-r"));
+	&util::cp(&util::filename_cat($gli_dir, "READMEru.txt-koi8-r"),
+		  &util::filename_cat($gli_dir, "READMEru.txt"));
+	&util::rm(&util::filename_cat($gli_dir, "READMEru.txt-koi8-r"));
     }
 
@@ -545,8 +562,8 @@
     if ($type eq "windows") {
 	# Don't need Unix scripts
-	&util::rm(&util::filename_cat($target_dir, "gli", "clean.sh"));
-	&util::rm(&util::filename_cat($target_dir, "gli", "document.sh"));
-	&util::rm(&util::filename_cat($target_dir, "gli", "gli.sh"));
-	&util::rm(&util::filename_cat($target_dir, "gli", "makegli.sh"));
+	&util::rm(&util::filename_cat($gli_dir, "clean.sh"));
+	&util::rm(&util::filename_cat($gli_dir, "document.sh"));
+	&util::rm(&util::filename_cat($gli_dir, "gli.sh"));
+	&util::rm(&util::filename_cat($gli_dir, "makegli.sh"));
     }
 }