Index: /trunk/gsdl3/resources/java/interface_classic.properties
===================================================================
--- /trunk/gsdl3/resources/java/interface_classic.properties	(revision 7845)
+++ /trunk/gsdl3/resources/java/interface_classic.properties	(revision 7845)
@@ -0,0 +1,103 @@
+nzdl=New Zealand Digital Library
+home_b=HOME
+pref_b=PREFERENCES
+help_b=HELP
+# text for the titles (in the page header)
+help_t=help
+pref_t=preferences
+about_t=about
+search_t=search
+phrases_t=phrases
+#################
+# home page
+#################
+home.feedback=Feedback
+home.aboutgs=About<br/>Greenstone
+home.people=People
+home.research=Research
+home.projects=Projects
+home.software=Software
+home.publications=Publications
+##################
+# about page
+##################
+aboutpage=About page
+#about.services=Services available:
+#about.description=Description:
+about.aboutcoll=About this collection
+about.howtofind=How to find information in the {0} collection
+##################
+# prefs page
+##################
+pref.searchpref=Search preferences
+pref.prespref=Presentation preferences
+pref.interfacelang=Interface language:
+pref.encoding=Encoding:
+##################
+# query page
+##################
+query.wordcount=Word count:
+query.nodocsmatch=No documents matched the query.
+query.onedocsmatch=One document matched the query.
+query.manydocsmatch={0} documents matched the query.
+query.matches=Matches
+query.results=results
+##################
+# help page
+##################
+help.numbrowseoptions=There are {0} ways to find information in this collection:
+help.simplehelpheading=How to find information in the {0} collection
+help.Searchshort=search for particular words
+help.Searchlong=<p />You can <i>search for particular words</i> that appear in the text from the "search" page. This is the first page that comes up when you begin, and can be reached from other pages by pressing the <i>search</i> button.
+help.Titleshort=access publications by title
+help.Titlelong=<p />You can <i>access publications by title</i> by pressing the <i>titles</i> button.  This brings up a list of books in alphabetic order.
+help.Organizationshort=access publications by organisation
+help.Organizationlong=<p />You can <i>access publications by organisation</i> by pressing the <i>organisations</i> button.  This brings up a list of organisations.
+help.Organisationshort=access publications by organisation
+help.Organisationlong=<p />You can <i>access publications by organisation</i> by pressing the <i>organisations</i> button.  This brings up a list of organisations.
+help.HowToshort=access publications by "how to" listing
+help.HowTolong=<p />You can <i>access publications by "how to" listing</i> by pressing the <i>how to</i> button.  This brings up a list of how to strings.
+help.Howtoshort=access publications by "how to" listing
+help.Howtolong=<p />You can <i>access publications by "how to" listing</i> by pressing the <i>how to</i> button.  This brings up a list of how to strings.
+help.Creatorshort=access publications by author
+help.Creatorlong=<p />You can <i>access publications by author</i> by pressing the <i>authors a-z</i> button.  This brings up a list of books, sorted by author name.  
+help.Subjectshort=access publications by subject
+help.Subjectlong=<p/>You can <i>access publications by subject</i> by pressing the <i>subjects</i> button.  This brings up a list of subjects, represented by bookshelves.
+help.Topicshort=access publications by topic
+help.Topiclong=<p>You can <i>access publications by topic</i> by pressing the <i>topic</i> button.  This brings up a list of topics to browse.  
+help.Toshort=access publications by To field
+help.Tolong=<p>You can <i>access publications by To field</i> by pressing the <i>to</i> button.  This brings up a list of addressees.  
+help.Fromshort=access publications by From field
+help.Fromlong=<p>You can <i>access publications by From field</i> by pressing the <i>from</i> button.  This brings up a list of senders.  
+help.Seriesshort=access publications by series
+help.Serieslong=<p>You can <i>access publications by series</i> by pressing the <i>series</i> button.  This brings up a list of those series which are currently in the collection.  
+help.Dateshort=access publications by date
+help.Datelong=<p>You can <i>access publications by date</i> by pressing the <i>dates</i> button.  This brings up a list of all the issues, sorted chronologically.  
+help.Browseshort=browse publications
+help.Browselong=<p>You can <i>browse publications</i> by pressing the <i>browse</i> button.  
+help.Peopleshort=access publications by people
+help.Peoplelong=<p>You can <i>access publications by people</i> by pressing the <i>people a-z</i> button.  This brings up a list of entries, sorted by surname.  
+help.Languageshort=access publications by language
+help.Languagelong=<p>You can <i>access publications by language</i> by pressing the <i>languages</i> button.  This brings up a list of entries, sorted by language.  
+help.Acronymshort=access publications by acronym
+help.Acronymlong=<p>You can <i>access publications by acronym occurrence</i> bypressing the <i>acronyms</i> button.  This brings up a list of the acronyms, and the places that they occur.  
+help.Phraseshort=browse phrases occurring in publications
+help.Phraselong=<p>You can <i>browse phrases occurring in publications</i> by pressing the <i>phrases</i> button.  This uses the phind phrase browser.  
+help.Artistshort=access publications by artist
+help.Artistlong=<p>You can <i>access publications by artist</i> by pressing the <i>artists</i> button.  This brings up a list of entries, sorted by artist name.  
+help.Sourceshort=access publications by filename
+help.Sourcelong=<p>You can <i>access publications by filename</i> by pressing the <i>filenames</i> button.  This brings up a list of entries, sorted by original filename.  
+help.Keywordshort=access publications by keyword
+help.Keywordlong=<p>You can <i>access publications by keyword</i> by pressing the <i>keywords</i> button.  This brings up a list of keywords. 
+help.Volumeshort=access publications by volume
+help.Volumelong=<p>You can <i>access publications by volume</i> by pressing the <i>volumes</i> button. This brings up a list of volumes. 
+help.Captionsshort=access publications by caption
+help.Captionslong=<p>You can <i>access publications by caption</i> by pressing the <i>captions</i> button. This brings up a list of captions. 
+help.Countriesshort=access publications by country
+help.Countrieslong=<p>You can <i>access publications by country</i> by pressing the <i>countries</i> button. This brings up a list of countries. 
+help.short=undefined classification
+help.defaultshort=undefined classification
+help.long=<p>Click on the <i>unknown</i> button to browse publications (listing is sorted by an unknown field).  
+help.defaultlong=<p>Click on the <i>unknown</i> button to browse publications (listing is sorted by an unknown field).  
+
+