Index: unk/gsdl3/gs3-finalise.sh
===================================================================
--- /trunk/gsdl3/gs3-finalise.sh	(revision 7888)
+++ 	(revision )
@@ -1,114 +1,0 @@
-#!/bin/sh
-
-##  gs3-finalise.sh -- Install Greenstone 3
-
-if [ ! -f gs3-setup.sh ]; then
-    echo "You must run this script from within the Greenstone home directory"
-    exit 1
-fi
-
-#check that GSDL3HOME is set
-source gs3-setup.sh
-
-gsdl3home=$GSDL3HOME
-# Prompt for the computer name
-hostname="localhost"
-echo ""
-echo "Enter the full address of the host computer from which the greenstone"
-echo "collections will be served, for example:"
-echo "bob.greenstone.ac.nz"
-echo "or press enter for default [Default = localhost]."
-echo ""
-printf "%s" "> "
-read ans
-if [ "$ans" != "" ] ; then
-    hostname="$ans"
-fi
-
-# Prompt for the port number
-portnumber="8080"
-echo ""
-echo "Enter the port number that the tomcat webserver will serve on,"
-echo "or press enter for default [Default = 8080]."
-echo ""
-printf "%s" "> "
-read ans
-if [ "$ans" != "" ] ; then
-    portnumber="$ans"
-fi
-
-# Edit the comms/jakata/tomcat/conf/server.xml file and set the port variable
-if [ "$portnumber" != "8080" ] ; then
-    sed "s|8080|${portnumber}|" ./comms/jakarta/tomcat/conf/server.xml > ./comms/jakarta/tomcat/conf/server.tmp && mv ./comms/jakarta/tomcat/conf/server.tmp ./comms/jakarta/tomcat/conf/server.xml
-fi
-
-# Edit the siteConfig.xml found in any site within the sites folder - port and hostname
-for SITE in  $gsdl3home/web/sites/*; do
-    if [ -f $SITE/siteConfig.xml ] ; then
-	echo "Processing $SITE"
-	if [ "$hostname" != "localhost" ] ; then
-	    sed "s|localhost|${hostname}|" $SITE/siteConfig.xml > $SITE/siteConfig.tmp && mv $SITE/siteConfig.tmp $SITE/siteConfig.xml
-	fi
-	if [ "$portnumber" != "8080" ] ; then
-	    sed "s|8080|${portnumber}|" $SITE/siteConfig.xml > $SITE/siteConfig.tmp && mv $SITE/siteConfig.tmp $SITE/siteConfig.xml
-	fi
-    fi
-done
-
-# any jar files used by applets need to go into the web/lib directory. so we link to them
-pushd $GSDL3HOME/web/lib
-ln -s ../../lib/java/phind.jar
-ln -s ../../lib/java/xml-apis.jar
-ln -s ../../lib/java/xercesImpl.jar
-popd
-
-# set up the sql db
-user=`whoami`
-pushd $GSDL3HOME/packages/mysql
-./bin/mysql_install_db --datadir=$GSDL3HOME/packages/mysql/var --basedir=$GSDL3HOME/packages/mysql --user=$user 
-./bin/mysqld_safe --datadir=$GSDL3HOME/packages/mysql/var --basedir=$GSDL3HOME/packages/mysql --pid_file=$GSDL3HOME/packages/mysql/var/gsdl3.pid --err-log=$GSDL3HOME/packages/mysql/var/gsdl3.err &
-sleep 2
-./bin/mysql --user=root --execute="GRANT SELECT,INSERT,DELETE,UPDATE,DROP,CREATE ON *.* TO gsdl3admin@localhost;"
-./bin/mysql --user=root --execute="GRANT SELECT ON *.* TO gsdl3reader@localhost;"
-
-# set up any sample collections databases
-#gs3mgdemo
-./bin/mysql --user=root --execute="create database localsite_gs3mgdemo;"
-./bin/mysql --user=root localsite_gs3mgdemo < $GSDL3HOME/web/sites/localsite/collect/gs3mgdemo/mysqldatadump.sql
-
-popd
-./gs3-mysql-server.sh stop
-
-
-# We also edit the GSDL3 launching script and the SOAP deployment script
-cp gs3-launch.sh.in gs3-launch.sh
-cp gs3-soap-deploy-site.sh.in gs3-soap-deploy-site.sh
-
-if [ "$hostname" != "localhost" ] ; then
-    sed "s|localhost|${hostname}|" gs3-launch.sh > gs3-launch.tmp && mv gs3-launch.tmp gs3-launch.sh
-    sed "s|localhost|${hostname}|" gs3-soap-deploy-site.sh > gs3-soap.tmp && mv gs3-soap.tmp gs3-soap-deploy-site.sh
-    
-fi
-if [ "$portnumber" != "8080" ] ; then
-    sed "s|8080|${portnumber}|" gs3-launch.sh > gs3-launch.tmp && mv gs3-launch.tmp gs3-launch.sh
-    sed "s|8080|${portnumber}|" gs3-soap-deploy-site.sh > gs3-soap.tmp && mv gs3-soap.tmp gs3-soap-deploy-site.sh
-fi
-
-# Make the GSDL3 script executable
-chmod a+x gs3-launch.sh
-chmod a+x gs3-soap-deploy-site.sh
-
-# And provide a nice little postscript
-echo ""
-echo "****************************************************************"
-echo "Greenstone 3 - Installation Complete!"
-echo ""
-echo "Change to the folder denoted below and run ./gs3-launch.sh to start the"
-echo "web server:"
-echo ""
-echo "   $GSDL3HOME"
-echo ""
-echo "****************************************************************"
-echo ""
-
-exit 0
Index: unk/gsdl3/gs3-prepare.sh
===================================================================
--- /trunk/gsdl3/gs3-prepare.sh	(revision 7888)
+++ 	(revision )
@@ -1,116 +1,0 @@
-#!/bin/sh 
-
-if [ ! -f gs3-setup.sh ]; then
-    echo "You must run this script from within the Greenstone 3 home directory"
-    exit 1
-fi
-
-source gs3-setup.sh
-
-gsdl3home=$GSDL3HOME
-
-if test -z "$CVSROOT" ; then
-  echo "You need to set the environment variable CVSROOT before running"
-  echo "this script. Please use the same path that you used to check out"
-  echo "the Greentone repository. If you are not using anonymous cvs, you"
-  echo "also need to set the variable CVS_RSH to ssh."
-  exit;
-fi
- 
-# firstly, remove unwanted directories
-cvs update -dRP
-
-# now check out extra bits
-cd packages
-if [ ! -d mgpp ]; then
-    cvs co -P mgpp
-fi
-cd $GSDL3HOME
-
-#### TOMCAT ####
-cd comms/jakarta/
-# unpack tomcat and rename directory
-if [ ! -d tomcat ]; then
-    unzip jakarta-tomcat-4.1.30.zip
-    mv jakarta-tomcat-4.1.30 tomcat
-fi
-#edit the tomcat setclasspath script to add our classpath
-if [ ! -f ./tomcat/bin/setclasspath.sh.orig ]; then
-    mv ./tomcat/bin/setclasspath.sh ./tomcat/bin/setclasspath.sh.orig
-    cat ./tomcat/bin/setclasspath.sh.orig | sed 's,CLASSPATH=,CLASSPATH=\"$CLASSPATH\":,' > ./tomcat/bin/setclasspath.sh
-fi
-#edit the server config file
-if ! grep -q gsdl3 ./tomcat/conf/server.xml; then
-    cat ./tomcat/conf/server.xml | sed "s,<\!-- Tomcat Root Context -->,<\!-- GSDL3 Service --><Context path=\"/gsdl3\" docBase=\"${gsdl3home}/web\" debug=\"1\" reloadable=\"true\"><Resources allowLinking='true'/></Context><\!-- Tomcat Root Context -->," > server.xml.tmp
-    mv server.xml.tmp ./tomcat/conf/server.xml
-fi
-#make everyone happy by giving the right permissions to the shell scripts
-chmod a+x ./tomcat/bin/*.sh
-
-cd $GSDL3HOME
-
-# Edit the web/WEB-INF/web.xml to set gsdl3home
-if [ ! -f ./web/WEB-INF/web.xml ]; then
-    sed "s|@gsdl3home@|${gsdl3home}|" ./web/WEB-INF/web.xml.in > ./web/WEB-INF/web.xml
-fi
-
-#### SOAP ####
-cd comms/soap
-# unpack soap and rename directory
-if [ ! -d soap ]; then
-    unzip soap-bin-2.3.1.zip
-    mv soap-2_3_1 soap
-    cp soap/lib/soap.jar $GSDL3HOME/lib/java
-# move the localsite deployment description into the soap webapp - localsite comes predeployed
-    cp DeployedServices.ds soap/webapps/soap/
-fi
-cd $GSDL3HOME
-
-#edit the SOAPServer config file
-if [ ! -f ./resources/java/SOAPServer.cfg ]; then
-    sed "s|@gsdl3home@|${gsdl3home}|" ./resources/java/SOAPServer.cfg.in > ./resources/java/SOAPServer.cfg
-fi
-
-#### SAMPLE COLLECTIONS ####
-# how can we stop these being done more than once? and do we need to?
-cd web/sites/localsite/collect
-# unpack import, index and metadata
-for f in */index; do
-  cd $f
-  if test -f index.zip; then
-    unzip index.zip
-  fi
-  cd ../../
-done
-
-for f in */import; do
-  cd $f
-  if test -f import.zip; then
-    unzip import.zip
-  fi
-  cd ../../
-done
-
-for f in */metadata; do
-  cd $f
-  if test -f metadata.zip; then
-    unzip metadata.zip
-  fi
-  cd ../../
-done
-
-for f in */archives; do
-  cd $f
-  if test -f archives.zip; then
-    unzip archives.zip
-  fi
-  cd ../../
-done
-
-
-cd $GSDL3HOME
-
-
-
-
-