Index: trunk/gsdl3/comms/jakarta/server.xml.in
===================================================================
--- trunk/gsdl3/comms/jakarta/server.xml.in	(revision 7970)
+++ trunk/gsdl3/comms/jakarta/server.xml.in	(revision 7971)
@@ -1,3 +1,3 @@
-<!-- Example Server Configuration File -->
+<!-- Alternate Example-less Configuration File -->
 <!-- Note that component elements are nested corresponding to their
      parent-child relationships with each other -->
@@ -14,40 +14,10 @@
 
 
-  <!-- Comment these entries out to disable JMX MBeans support -->
-  <!-- You may also configure custom components (e.g. Valves/Realms) by
-       including your own mbean-descriptor file(s), and setting the
-       "descriptors" attribute to point to a ';' seperated list of paths
-       (in the ClassLoader sense) of files to add to the default list.
-       e.g. descriptors="/com/myfirm/mypackage/mbean-descriptor.xml"
-  -->
+  <!-- Uncomment this entry to enable JMX MBeans support -->
+<!--
   <Listener className="org.apache.catalina.mbeans.ServerLifecycleListener"
-            debug="0"/>
-  <Listener className="org.apache.catalina.mbeans.GlobalResourcesLifecycleListener"
-            debug="0"/>
-
-  <!-- Global JNDI resources -->
-  <GlobalNamingResources>
-
-    <!-- Test entry for demonstration purposes -->
-    <Environment name="simpleValue" type="java.lang.Integer" value="30"/>
-
-    <!-- Editable user database that can also be used by
-         UserDatabaseRealm to authenticate users -->
-    <Resource name="UserDatabase" auth="Container"
-              type="org.apache.catalina.UserDatabase"
-       description="User database that can be updated and saved">
-    </Resource>
-    <ResourceParams name="UserDatabase">
-      <parameter>
-        <name>factory</name>
-        <value>org.apache.catalina.users.MemoryUserDatabaseFactory</value>
-      </parameter>
-      <parameter>
-        <name>pathname</name>
-        <value>conf/tomcat-users.xml</value>
-      </parameter>
-    </ResourceParams>
-
-  </GlobalNamingResources>
+                debug="0" port="-1" login="admin" password="admin"/>
+-->
+
 
   <!-- A "Service" is a collection of one or more "Connectors" that share
@@ -89,32 +59,22 @@
     -->
 
-    <!-- Define a non-SSL Coyote HTTP/1.1 Connector on port 8080 -->
-    <Connector className="org.apache.coyote.tomcat4.CoyoteConnector"
+    <!-- Define a non-SSL HTTP/1.1 Connector on port 8080 -->
+    <Connector className="org.apache.catalina.connector.http.HttpConnector"
                port="8080" minProcessors="5" maxProcessors="75"
                enableLookups="true" redirectPort="8443"
-               acceptCount="100" debug="0" connectionTimeout="20000"
-               useURIValidationHack="false" disableUploadTimeout="true" />
-    <!-- Note : To disable connection timeouts, set connectionTimeout value
-     to 0 -->
-
-    <!-- Define a SSL Coyote HTTP/1.1 Connector on port 8443 -->
-    <!--
-    <Connector className="org.apache.coyote.tomcat4.CoyoteConnector"
+               acceptCount="10" debug="0" connectionTimeout="60000"/>
+    <!-- Note : To disable connection timeouts, set connectionTimeout value 
+     to -1 -->
+
+    <!-- Define an SSL HTTP/1.1 Connector on port 8443 -->
+    <!--
+    <Connector className="org.apache.catalina.connector.http.HttpConnector"
                port="8443" minProcessors="5" maxProcessors="75"
                enableLookups="true"
-           acceptCount="100" debug="0" scheme="https" secure="true"
-               useURIValidationHack="false" disableUploadTimeout="true">
-      <Factory className="org.apache.coyote.tomcat4.CoyoteServerSocketFactory"
-               clientAuth="false" protocol="TLS" />
+	       acceptCount="10" debug="0" scheme="https" secure="true">
+      <Factory className="org.apache.catalina.net.SSLServerSocketFactory"
+               clientAuth="false" protocol="TLS"/>
     </Connector>
     -->
-
-    <!-- Define a Coyote/JK2 AJP 1.3 Connector on port 8009 -->
-    <Connector className="org.apache.coyote.tomcat4.CoyoteConnector"
-               port="8009" minProcessors="5" maxProcessors="75"
-               enableLookups="true" redirectPort="8443"
-               acceptCount="10" debug="0" connectionTimeout="0"
-               useURIValidationHack="false"
-               protocolHandlerClassName="org.apache.jk.server.JkCoyoteHandler"/>
 
     <!-- Define an AJP 1.3 Connector on port 8009 -->
@@ -125,29 +85,20 @@
     -->
 
-    <!-- Define a Proxied HTTP/1.1 Connector on port 8082 -->
+    <!-- Define a Proxied HTTP/1.1 Connector on port 8081 -->
     <!-- See proxy documentation for more information about using this. -->
     <!--
-    <Connector className="org.apache.coyote.tomcat4.CoyoteConnector"
+    <Connector className="org.apache.catalina.connector.http.HttpConnector"
+               port="8081" minProcessors="5" maxProcessors="75"
+               enableLookups="true"
+               acceptCount="10" debug="0" connectionTimeout="60000"
+               proxyPort="80"/>
+    -->
+
+    <!-- Define a non-SSL HTTP/1.0 Test Connector on port 8082 -->
+    <!--
+    <Connector className="org.apache.catalina.connector.http10.HttpConnector"
                port="8082" minProcessors="5" maxProcessors="75"
-               enableLookups="true"
-               acceptCount="100" debug="0" connectionTimeout="20000"
-               proxyPort="80" useURIValidationHack="false"
-               disableUploadTimeout="true" />
-    -->
-
-    <!-- Define a non-SSL legacy HTTP/1.1 Test Connector on port 8083 -->
-    <!--
-    <Connector className="org.apache.catalina.connector.http.HttpConnector"
-               port="8083" minProcessors="5" maxProcessors="75"
                enableLookups="true" redirectPort="8443"
-               acceptCount="10" debug="0" />
-    -->
-
-    <!-- Define a non-SSL HTTP/1.0 Test Connector on port 8084 -->
-    <!--
-    <Connector className="org.apache.catalina.connector.http10.HttpConnector"
-               port="8084" minProcessors="5" maxProcessors="75"
-               enableLookups="true" redirectPort="8443"
-               acceptCount="10" debug="0" />
+               acceptCount="10" debug="0"/>
     -->
 
@@ -156,8 +107,4 @@
          analyzes the HTTP headers included with the request, and passes them
          on to the appropriate Host (virtual host). -->
-
-    <!-- You should set jvmRoute to support load-balancing via JK/JK2 ie :
-    <Engine name="Standalone" defaultHost="localhost" debug="0" jvmRoute="jvm1">
-    -->
 
     <!-- Define the top level container in our container hierarchy -->
@@ -189,16 +136,5 @@
       <!-- Because this Realm is here, an instance will be shared globally -->
 
-      <!-- This Realm uses the UserDatabase configured in the global JNDI
-           resources under the key "UserDatabase".  Any edits
-           that are performed against this UserDatabase are immediately
-           available for use by the Realm.  -->
-      <Realm className="org.apache.catalina.realm.UserDatabaseRealm"
-                 debug="0" resourceName="UserDatabase"/>
-
-      <!-- Comment out the old realm but leave here for now in case we
-           need to go back quickly -->
-      <!--
       <Realm className="org.apache.catalina.realm.MemoryRealm" />
-      -->
 
       <!-- Replace the above Realm with one of the following to get a Realm
@@ -232,5 +168,5 @@
 
       <!-- Define the default virtual host -->
-      <Host name="localhost" debug="0" appBase="webapps"
+      <Host name="localhost" debug="0" appBase="webapps" 
        unpackWARs="true" autoDeploy="true">
 
@@ -252,9 +188,7 @@
              (to $CATALINA_HOME) or absolute path to the desired directory.
         -->
-        <!--
         <Valve className="org.apache.catalina.valves.AccessLogValve"
                  directory="logs"  prefix="localhost_access_log." suffix=".txt"
-                 pattern="common" resolveHosts="false"/>
-        -->
+                 pattern="common"/>
 
         <!-- Logger shared by all Contexts related to this virtual host.  By
@@ -266,5 +200,5 @@
         <Logger className="org.apache.catalina.logger.FileLogger"
                  directory="logs"  prefix="localhost_log." suffix=".txt"
-            timestamp="true"/>
+	        timestamp="true"/>
 
         <!-- Define properties for each web application.  This is only needed
@@ -273,4 +207,9 @@
              directory.  -->
 
+        <!-- Tomcat Root Context -->
+        <!--
+          <Context path="" docBase="ROOT" debug="0"/>
+        -->
+
 	<!-- GSDL3 Service -->
         <Context path="/gsdl3" docBase="@gsdl3home@/web" debug="1" reloadable="true">
@@ -281,111 +220,47 @@
 	<Context path="/soap" docBase="@gsdl3home@/comms/soap/soap/webapps/soap" debug="1" reloadable="true"/>
 
-        <!-- Tomcat Root Context -->
-        <!--
-          <Context path="" docBase="ROOT" debug="0"/>
-        -->
-
-        <!-- Tomcat Examples Context -->
-        <Context path="/examples" docBase="examples" debug="0"
-                 reloadable="true" crossContext="true">
-          <Logger className="org.apache.catalina.logger.FileLogger"
-                     prefix="localhost_examples_log." suffix=".txt"
+      </Host>
+
+    </Engine>
+
+  </Service>
+
+  <!-- The MOD_WEBAPP connector is used to connect Apache 1.3 with Tomcat 4.0
+       as its servlet container. Please read the README.txt file coming with
+       the WebApp Module distribution on how to build it.
+       (Or check out the "jakarta-tomcat-connectors/webapp" CVS repository)
+
+       To configure the Apache side, you must ensure that you have the
+       "ServerName" and "Port" directives defined in "httpd.conf".  Then,
+       lines like these to the bottom of your "httpd.conf" file:
+
+         LoadModule webapp_module libexec/mod_webapp.so
+         WebAppConnection warpConnection warp localhost:8008
+         WebAppDeploy examples warpConnection /examples/
+
+       The next time you restart Apache (after restarting Tomcat, if needed)
+       the connection will be established, and all applications you make
+       visible via "WebAppDeploy" directives can be accessed through Apache.
+  -->
+
+  <!-- Define an Apache-Connector Service -->
+  <Service name="Tomcat-Apache">
+
+    <Connector className="org.apache.catalina.connector.warp.WarpConnector"
+     port="8008" minProcessors="5" maxProcessors="75"
+     enableLookups="true"
+     acceptCount="10" debug="0"/>
+
+    <!-- Replace "localhost" with what your Apache "ServerName" is set to -->
+    <Engine className="org.apache.catalina.connector.warp.WarpEngine"
+     name="Apache" debug="0" appBase="webapps">
+
+      <!-- Global logger unless overridden at lower levels -->
+      <Logger className="org.apache.catalina.logger.FileLogger"
+              prefix="apache_log." suffix=".txt"
               timestamp="true"/>
-          <Ejb   name="ejb/EmplRecord" type="Entity"
-                 home="com.wombat.empl.EmployeeRecordHome"
-               remote="com.wombat.empl.EmployeeRecord"/>
-
-          <!-- If you wanted the examples app to be able to edit the
-               user database, you would uncomment the following entry.
-               Of course, you would want to enable security on the
-               application as well, so this is not done by default!
-               The database object could be accessed like this:
-
-               Context initCtx = new InitialContext();
-               Context envCtx = (Context) initCtx.lookup("java:comp/env");
-               UserDatabase database =
-                    (UserDatabase) envCtx.lookup("userDatabase");
-          -->
-<!--
-          <ResourceLink name="userDatabase" global="UserDatabase"
-                        type="org.apache.catalina.UserDatabase"/>
--->
-
-
-          <!-- PersistentManager: Uncomment the section below to test Persistent
-               Sessions.
-
-               saveOnRestart: If true, all active sessions will be saved
-                 to the Store when Catalina is shutdown, regardless of
-                 other settings. All Sessions found in the Store will be
-                 loaded on startup. Sessions past their expiration are
-                 ignored in both cases.
-               maxActiveSessions: If 0 or greater, having too many active
-                 sessions will result in some being swapped out. minIdleSwap
-                 limits this. -1 or 0 means unlimited sessions are allowed.
-                 If it is not possible to swap sessions new sessions will
-                 be rejected.
-                 This avoids thrashing when the site is highly active.
-               minIdleSwap: Sessions must be idle for at least this long
-                 (in seconds) before they will be swapped out due to
-                 activity.
-                 0 means sessions will almost always be swapped out after
-                 use - this will be noticeably slow for your users.
-               maxIdleSwap: Sessions will be swapped out if idle for this
-                 long (in seconds). If minIdleSwap is higher, then it will
-                 override this. This isn't exact: it is checked periodically.
-                 -1 means sessions won't be swapped out for this reason,
-                 although they may be swapped out for maxActiveSessions.
-                 If set to >= 0, guarantees that all sessions found in the
-                 Store will be loaded on startup.
-               maxIdleBackup: Sessions will be backed up (saved to the Store,
-                 but left in active memory) if idle for this long (in seconds),
-                 and all sessions found in the Store will be loaded on startup.
-                 If set to -1 sessions will not be backed up, 0 means they
-                 should be backed up shortly after being used.
-
-               To clear sessions from the Store, set maxActiveSessions, maxIdleSwap,
-               and minIdleBackup all to -1, saveOnRestart to false, then restart
-               Catalina.
-          -->
-          <!--
-          <Manager className="org.apache.catalina.session.PersistentManager"
-              debug="0"
-              saveOnRestart="true"
-              maxActiveSessions="-1"
-              minIdleSwap="-1"
-              maxIdleSwap="-1"
-              maxIdleBackup="-1">
-                <Store className="org.apache.catalina.session.FileStore"/>
-          </Manager>
-          -->
-          <Environment name="maxExemptions" type="java.lang.Integer"
-                      value="15"/>
-          <Parameter name="context.param.name" value="context.param.value"
-                     override="false"/>
-          <Resource name="jdbc/EmployeeAppDb" auth="SERVLET"
-                    type="javax.sql.DataSource"/>
-          <ResourceParams name="jdbc/EmployeeAppDb">
-            <parameter><name>username</name><value>sa</value></parameter>
-            <parameter><name>password</name><value></value></parameter>
-            <parameter><name>driverClassName</name>
-              <value>org.hsql.jdbcDriver</value></parameter>
-            <parameter><name>url</name>
-              <value>jdbc:HypersonicSQL:database</value></parameter>
-          </ResourceParams>
-          <Resource name="mail/Session" auth="Container"
-                    type="javax.mail.Session"/>
-          <ResourceParams name="mail/Session">
-            <parameter>
-              <name>mail.smtp.host</name>
-              <value>localhost</value>
-            </parameter>
-          </ResourceParams>
-          <ResourceLink name="linkToGlobalResource"
-                    global="simpleValue"
-                    type="java.lang.Integer"/>
-        </Context>
-
-      </Host>
+
+      <!-- Because this Realm is here, an instance will be shared globally -->
+      <Realm className="org.apache.catalina.realm.MemoryRealm" />
 
     </Engine>
@@ -393,4 +268,4 @@
   </Service>
 
-
 </Server>
+